Get all job planning
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
job_planning| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key to jobs id. |
globally unique identifier | |
| user_id |
Foreign key to user id. |
globally unique identifier | |
| date_from |
Job planning date from |
date | |
| date_to |
Job planning date to |
date | |
| sys_logical_delete |
Logical Delete. If true, means that row has been flagged deleted and will be physically deleted in the next months |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "60c07396-adda-4ff2-bc27-7f1cfbf66945",
"jobs_id": "ee08d74e-24e1-4e8f-80b3-832ecab8c55b",
"user_id": "f6e8cb70-e371-4d65-a923-a8cd3e46783e",
"date_from": "2026-09-09T11:48:19.7488303+00:00",
"date_to": "2026-09-09T11:48:19.7488303+00:00",
"sys_logical_delete": true,
"modified_dateutc": "2026-09-09T11:48:19.7488303+00:00"
}